ComRaidComRaid Docs
API referenceMessages

List Messages

Lists Project Messages. Omit `status` for Push history (excludes `draft` and archived Drafts). Pass `status=draft` for the Drafts list.

GET
/messages

Lists Project Messages. Omit status for Push history (excludes draft and archived Drafts). Pass status=draft for the Drafts list.

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Project API key (cr_sk_...)

Query Parameters

status?string

Filter by Message status. draft returns only non-archived Drafts. Other values never include drafts. Omit for Push history.

Value in"draft""scheduled""preparing""processing""completed""failed""cancelled"
limit?integer
Range1 <= value <= 100
Default50
offset?integer
Range0 <= value
Default0

Response Body

Message list

application/json
  1. response
messages?array<>
total?integer
limit?integer
offset?integer
Example Request
curl -X GET 'https://api.comraid.io/messages'
Example Response
{  "messages": [    {}  ],  "total": 0,  "limit": 0,  "offset": 0}